# __gnu_parallel::_Lexicographic< _T1, _T2, _Compare > Class Template Reference

Compare __a pair of types lexicographically, ascending. More...

Inheritance diagram for __gnu_parallel::_Lexicographic< _T1, _T2, _Compare >:
[legend]

List of all members.

## Public Types

- typedef std::pair< _T1, _T2 > first_argument_type
- typedef bool result_type
- typedef std::pair< _T1, _T2 > second_argument_type

## Public Member Functions

- _Lexicographic (_Compare &__comp)
- bool operator() (const std::pair< _T1, _T2 > &__p1, const std::pair< _T1, _T2 > &__p2) const

## Detailed Description

### template<typename _T1, typename _T2, typename _Compare>
class __gnu_parallel::_Lexicographic< _T1, _T2, _Compare >

Compare __a pair of types lexicographically, ascending.

Definition at line 55 of file multiseq_selection.h.

## Member Typedef Documentation

typedef std::pair< _T1, _T2 > std::binary_function< std::pair< _T1, _T2 > , std::pair< _T1, _T2 > , bool >::first_argument_type `[inherited]`

the type of the first argument /// (no surprises here)

Definition at line 114 of file stl_function.h.

typedef bool std::binary_function< std::pair< _T1, _T2 > , std::pair< _T1, _T2 > , bool >::result_type `[inherited]`

type of the return type

Definition at line 118 of file stl_function.h.

typedef std::pair< _T1, _T2 > std::binary_function< std::pair< _T1, _T2 > , std::pair< _T1, _T2 > , bool >::second_argument_type `[inherited]`

the type of the second argument

Definition at line 117 of file stl_function.h.

The documentation for this class was generated from the following file:

- multiseq_selection.h